Bug 613500 - Website statistics page should only show installed languages
Website statistics page should only show installed languages
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-11 23:43 EDT by Ruediger Landmann
Modified: 2010-11-23 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:42:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-07-11 23:43:38 EDT
Description of problem:
The statistics page on Publican websites shows a list of every language of which Publican is aware, whether or not the project publishes documentation in that language or ever intends to. The page should not display languages for which no packages exist

Version-Release number of selected component (if applicable):
2.1

How reproducible:
100%

Steps to Reproduce:
1. Visit the "Statistics" page for any Publican-generated website
  
Actual results:
Many languages with 0 packages

Expected results:
Only languages with actual packages.

Additional info:
Comment 1 Jeff Fearn 2010-08-04 01:08:20 EDT
Removed code that set default languages.

Fixed in build: 2.1-0%{?dist}.t10
Comment 2 Ruediger Landmann 2010-08-06 00:44:04 EDT
Verified in 2.1.t20 -- no links to languages with no translations
Comment 3 Fedora Update System 2010-10-06 01:48:32 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 4 Fedora Update System 2010-10-06 01:49:50 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 5 Fedora Update System 2010-10-06 01:49:54 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 6 Fedora Update System 2010-10-08 16:39:58 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.